Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1057130 - [vdsm-reg] MainThread::ERROR::2014-01-23 13:16:13,811::deployUtil::1585::root::Failed to fetch /engine.ssh.key.txt using http.
Summary: [vdsm-reg] MainThread::ERROR::2014-01-23 13:16:13,811::deployUtil::1585::root...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: oVirt
Classification: Retired
Component: vdsm
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 3.4.0
Assignee: Douglas Schilling Landgraf
QA Contact: Pavel Stehlik
URL:
Whiteboard: infra
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-23 13:48 UTC by Jiri Belka
Modified: 2014-09-28 06:36 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-31 14:12:03 UTC
oVirt Team: ---


Attachments (Terms of Use)
/var/log files (deleted)
2014-01-23 13:48 UTC, Jiri Belka
no flags Details

Description Jiri Belka 2014-01-23 13:48:47 UTC
Created attachment 854397 [details]
/var/log files

Description of problem:

some ERROR in vdsm-reg.log...

MainThread::DEBUG::2014-01-23 13:16:13,804::deployUtil::1552::root::getRemoteFile start. IP = 10.34.60.61 port = 443 fileName = "/engine.ssh.key.
txt"
MainThread::DEBUG::2014-01-23 13:16:13,808::deployUtil::1572::root::/engine.ssh.key.txt failed in HTTPS. Retrying using HTTP.
Traceback (most recent call last):
  File "/usr/share/vdsm-reg/deployUtil.py", line 1565, in getRemoteFile
    sock.connect((IP, nPort))
  File "<string>", line 1, in connect
error: [Errno 101] Network is unreachable
MainThread::ERROR::2014-01-23 13:16:13,811::deployUtil::1585::root::Failed to fetch /engine.ssh.key.txt using http.
Traceback (most recent call last):
  File "/usr/share/vdsm-reg/deployUtil.py", line 1581, in getRemoteFile
    conn.request("GET", fileName)
  File "/usr/lib64/python2.6/httplib.py", line 914, in request
  File "/usr/lib64/python2.6/httplib.py", line 951, in _send_request
  File "/usr/lib64/python2.6/httplib.py", line 908, in endheaders
  File "/usr/lib64/python2.6/httplib.py", line 780, in _send_output
  File "/usr/lib64/python2.6/httplib.py", line 739, in send
  File "/usr/lib64/python2.6/httplib.py", line 720, in connect
  File "/usr/lib64/python2.6/socket.py", line 567, in create_connection
error: [Errno 101] Network is unreachable
MainThread::ERROR::2014-01-23 13:16:13,811::deployUtil::1598::root::Failed to fetch /engine.ssh.key.txt status 

Although I can download the key manually from the node.

# openssl s_client -connect $ip:443
...
    Start Time: 1390484809
    Timeout   : 300 (sec)
    Verify return code: 19 (self signed certificate in certificate chain)
---
GET /engine.ssh.key.txt HTTP/1.1
Host: 10.34.60.61

HTTP/1.1 200 OK
Date: Thu, 23 Jan 2014 13:46:55 GMT
Content-Type: text/plain;charset=ISO-8859-1
Content-Length: 394
Connection: close

ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQDDucG6wfCKrojVoY1RVUo9jyZlgdragWXDUoamnIi3i2q1GtJemeE0WS/FcOpmD4WHbkGCkPjOwzXSVWYQoH1jer4SM+8XYa4bUu5TgThZ00IqKkeZJLpAsGZgRflvST03rMZF0BZw/opqeX/LbA6XXgLkDoTdoYDGU+y/9ipLxxAhJp+FoDLHqLs6Ppax0seg/eCSv+NmD8/LFsdy7WMDDELI7iDXopsE+yM2nBEdYm56OMkya28BBOeRQnTK/IbCg1qOUn2yL2pVEhSTY0xGykbaxc4QpzY48hI1vVJOoHfnJ0MdXaejb5ZFM+GrKNFObRGzBOcHHan10O56BN1d ovirt-engine
closed

Version-Release number of selected component (if applicable):
cat /etc/ovirt-node-iso-release 
oVirt Node Hypervisor release 3.0.3 (0.999.201401221941draft.el6)

How reproducible:
100%

Steps to Reproduce:
1. install this node version and see vdsm-reg.log
2.
3.

Actual results:
error in vdsm-reg.log

Expected results:


Additional info:

Comment 1 Itamar Heim 2014-01-26 08:11:05 UTC
Setting target release to current version for consideration and review. please
do not push non-RFE bugs to an undefined target release to make sure bugs are
reviewed for relevancy, fix, closure, etc.

Comment 2 Alon Bar-Lev 2014-01-28 17:59:34 UTC
node is using dhcp, it takes time to retrieve address, hence no connectivity when trying to fetch certificate immediately after bridge config.

Comment 5 Dan Kenigsberg 2014-01-31 13:58:24 UTC
Alon, I do not quite understand your comment 2: vdsm-reg (should) use blockingdhcp=True which (should) block network config until the leased IP address is valid.

Comment 6 Douglas Schilling Landgraf 2014-01-31 14:12:03 UTC
Hi Jiri,

I am closing this for now since we don't have reproducer and looks like pretty particular case (no more reports on that). Please re-open in case you see it again or please provide access to machine.

From the vdsm-reg logs I see we include blockingdhcp=true:

::root::['/usr/share/vdsm/addNetwork', 'ovirtmgmt', '', '', 'em1', 'BOOTPROTO=dhcp', 'ONBOOT=yes', 'PEERNTP=yes', 'blockingdhcp=true']


Note You need to log in before you can comment on or make changes to this bug.